MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Approve Schema RevisionCreate Draft ListingSubmit New VersionDelete Draft ListingDiscard Tool OverrideGet MCP ListingMy ListingsGet Schema Revision DetailList Tool OverridesList Schema RevisionsPreview MCP CapabilitiesUpsert Auth SchemesRefresh MCP CapabilitiesReject Schema RevisionSearch MCP ListingsSet Tool OverrideSubmit for ReviewUpdate Listing
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceMCP Listings

Set Tool Override

PUT
/v1/mcp/{listing_id}/schema-overrides/{tool_name}

Set or update a tool's curated description/title. Never touches the underlying synced schema - stored separately and merged into a new schema revision, which becomes the listing's served schema once approved (immediately, only for a listing's very first revision) - and survives the next sync/re-parse.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

listing_id*Listing Id
Formatuuid
tool_name*Tool Name

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/mcp/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema-overrides/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304",  "tool_name": "string",  "overrides": {},  "revision": 0,  "revision_status": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Search MCP Listings

Previous Page

Submit for Review

Next Page

description?string|null
title?string|null